List the documents of a draft
curl --request GET \
--url https://api.investorlift.com/marketplace/v1/sell/drafts/{draft_id}/documents \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.investorlift.com/marketplace/v1/sell/drafts/{draft_id}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/marketplace/v1/sell/drafts/{draft_id}/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"documents": [
{
"id": "<string>",
"type": "<string>",
"filename": "<string>",
"size_bytes": 0,
"content_type": "<string>"
}
],
"contract": {
"filename": "<string>",
"content_type": "<string>",
"size_bytes": 0,
"uploaded_at": "2023-11-07T05:31:56Z",
"extraction_confidence": "<string>",
"property_address": "<string>",
"purchase_price": 0
}
},
"meta": {
"request_id": "<string>",
"api_version": "<string>"
}
}{
"type": "https://developers.investorlift.com/marketplace/errors#invalid_id",
"title": "Identifier malformed",
"status": 400,
"code": "invalid_id",
"detail": "<string>",
"recovery": "Send the public id with its type prefix, for example mdl_a1b2c3d4e5f6.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#unauthorized",
"title": "Not authenticated",
"status": 401,
"code": "unauthorized",
"detail": "<string>",
"recovery": "Send a current access token for this API, and start a new authorization when the token is expired.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#designation_required",
"title": "Designation missing",
"status": 403,
"code": "designation_required",
"detail": "<string>",
"recovery": "Finish the onboarding of the side you call, then repeat the call.",
"request_id": "<string>",
"designation": "seller"
}{
"type": "https://developers.investorlift.com/marketplace/errors#not_found",
"title": "Not found",
"status": 404,
"code": "not_found",
"detail": "<string>",
"recovery": "Check the id, and check that the account you call with owns the resource.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#method_not_allowed",
"title": "Method not allowed",
"status": 405,
"code": "method_not_allowed",
"detail": "<string>",
"recovery": "Use one of the methods the documentation lists for this path.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#draft_under_review",
"title": "Draft under review",
"status": 409,
"code": "draft_under_review",
"detail": "<string>",
"recovery": "Wait for the Deal Desk to finish its review of this draft, then repeat the call.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#origin_error",
"title": "Service unavailable",
"status": 503,
"code": "origin_error",
"detail": "<string>",
"recovery": "Repeat the call in a minute, and tell Investorlift support when the answer stays the same.",
"request_id": "<string>"
}sell
List the documents of a draft
Reads the supporting documents of one draft and the state of its acquisition contract.
GET
/
sell
/
drafts
/
{draft_id}
/
documents
List the documents of a draft
curl --request GET \
--url https://api.investorlift.com/marketplace/v1/sell/drafts/{draft_id}/documents \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.investorlift.com/marketplace/v1/sell/drafts/{draft_id}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/marketplace/v1/sell/drafts/{draft_id}/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"documents": [
{
"id": "<string>",
"type": "<string>",
"filename": "<string>",
"size_bytes": 0,
"content_type": "<string>"
}
],
"contract": {
"filename": "<string>",
"content_type": "<string>",
"size_bytes": 0,
"uploaded_at": "2023-11-07T05:31:56Z",
"extraction_confidence": "<string>",
"property_address": "<string>",
"purchase_price": 0
}
},
"meta": {
"request_id": "<string>",
"api_version": "<string>"
}
}{
"type": "https://developers.investorlift.com/marketplace/errors#invalid_id",
"title": "Identifier malformed",
"status": 400,
"code": "invalid_id",
"detail": "<string>",
"recovery": "Send the public id with its type prefix, for example mdl_a1b2c3d4e5f6.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#unauthorized",
"title": "Not authenticated",
"status": 401,
"code": "unauthorized",
"detail": "<string>",
"recovery": "Send a current access token for this API, and start a new authorization when the token is expired.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#designation_required",
"title": "Designation missing",
"status": 403,
"code": "designation_required",
"detail": "<string>",
"recovery": "Finish the onboarding of the side you call, then repeat the call.",
"request_id": "<string>",
"designation": "seller"
}{
"type": "https://developers.investorlift.com/marketplace/errors#not_found",
"title": "Not found",
"status": 404,
"code": "not_found",
"detail": "<string>",
"recovery": "Check the id, and check that the account you call with owns the resource.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#method_not_allowed",
"title": "Method not allowed",
"status": 405,
"code": "method_not_allowed",
"detail": "<string>",
"recovery": "Use one of the methods the documentation lists for this path.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#draft_under_review",
"title": "Draft under review",
"status": 409,
"code": "draft_under_review",
"detail": "<string>",
"recovery": "Wait for the Deal Desk to finish its review of this draft, then repeat the call.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#origin_error",
"title": "Service unavailable",
"status": 503,
"code": "origin_error",
"detail": "<string>",
"recovery": "Repeat the call in a minute, and tell Investorlift support when the answer stays the same.",
"request_id": "<string>"
}Authorizations
Authorization code with PKCE. The person grants the scopes on the Investorlift consent page and accepts the Marketplace API Terms there.
Path Parameters
The public id in the path, for example draft_id as mdl_a1b2c3d4e5f6.
Was this page helpful?